Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QReadWriteLock.RecursionMode

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.QReadWriteLock.RecursionMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QReadWriteLock

    public static final class QReadWriteLock.RecursionMode

extends java.lang.Enum
implements QtEnumerator

See also.
  QReadWriteLock().

See Also:
  Serialized Form

Field Summary
`static QReadWriteLock.RecursionMode` | `NonRecursive` In this mode, a thread may only lock a `QReadWriteLock` once.
`static QReadWriteLock.RecursionMode` | `Recursive` In this mode, a thread can lock the same `QReadWriteLock` multiple times and the mutex won't be unlocked until a corresponding number of `unlock()` calls have been made.

Method Summary
`static QReadWriteLock.RecursionMode` | `resolve(int value)` Returns the QReadWriteLock$RecursionMode constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QReadWriteLock.RecursionMode` | `valueOf(java.lang.String name)`
`static QReadWriteLock.RecursionMode[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NonRecursive

    public static final QReadWriteLock.RecursionMode NonRecursive

  In this mode, a thread may only lock a `QReadWriteLock` once.

### Recursive

    public static final QReadWriteLock.RecursionMode Recursive

  In this mode, a thread can lock the same `QReadWriteLock` multiple times and the mutex won't be unlocked until a corresponding number of `unlock()` calls have been made.

Method Detail

### values

    public static QReadWriteLock.RecursionMode[] values()

### valueOf

    public static QReadWriteLock.RecursionMode valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QReadWriteLock.RecursionMode resolve(int value)

  Returns the QReadWriteLock$RecursionMode constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD